/*
 *				f x f r e e . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	 fxfree	Free a Flex
index		Free a flex

synopsis

	 #ifdef vms
	 #include "c:flex.h"
	 #else
	 #include <flex.h>
	 #endif

	 fxfree(fx)
	 FLEX *fx;

description

	Free a flex.  Attempting to free something that was not created with
	flex() will cause trouble.  However, NULL or a flex that was damaged
	may be passed safely.

bugs

author

	Jerry Leichter

#endif

/*
 * )EDITLEVEL=08
 * Edit history
 * 0.0  4-May-81 JSL	Invention
 * 0.1  5-May-81 JSL	Cleanup
 * 0.2  7-May-81 JSL	Split flex.c into separate files; this is one
 * 0.3 27-May-81 JSL	Conversion to new comment convention
 */

#ifdef	vms
#include "c:flex.h"
#else
#include <flex.h>
#endif
#define NULL 0

fxfree(fx)
register FLEX *fx;
{	if (fx != NULL)
	{	if (fx->fxdata != NULL)
			free(fx->fxdata);
		free(fx);
	}
}
